:root, :host {
    --hero-height: 400px;
    --section-padding-x: 0px;
    --section-padding-y: 60px;
    --module-padding-x: 24px;
    --module-padding-y: 24px;
    --hero-padding-top: 80px;
    --hero-padding-bottom: 60px;
    --color-orange: #df6c42;
    --bs-body-font-size: 14px;
    --section-padding-top: 48px;
    --section-padding-bottom: 48px;
}

.home-hero {
    --section-padding-top: 80px;
    --section-padding-bottom: 80px;
}



/* Adjust padding for tablets */
@media (min-width: 768px) {
    :root, :host {
        --hero-height: 480px;
        --section-padding-x: 0px;
        --section-padding-y: 80px;
        --module-padding-x: 36px;
        --module-padding-y: 36px;
        --section-padding-top: 60px;
        --section-padding-bottom: 60px;
    }

    .home-hero {
        --section-padding-top: 80px;
        --section-padding-bottom: 80px;
    }
}

/* desktop */
@media (min-width: 1024px) {
    :root, :host {
        --hero-height: 600px;
        --hero-padding-top: 100rem;
        --hero-padding-bottom: 80px;
        --section-padding-top: 80px;
        --section-padding-bottom: 80px;
    }


    .umb-block-grid__area-container, .umb-block-grid__block--view::part(area-container) {
        --section-padding-x: 0px;
        --section-padding-y: 60px;
        --module-padding-x: 48px;
        --module-padding-y: 48px;
    }
}
/*** Corrections for IR web template ***/


section#ir-menu-section
{
    background-color: var(--color-light-grey);
}

.entry-content > .ir-content-wrapper,
.entry-content > #ir-menu-section, 
.entry-content > .ir-footer {
    width: 100% !important;
    max-width: 100% !important;
    font-family: 'Poppins', sans-serif;
    margin-bottom: 0px;
}

.ir-content-wrapper
{
    background-color: #FFF;
    color: #222;
    min-height: 36rem;
}


@media (min-width: 1400px) {
    .ir-content-wrapper .container-xl, .ir-content-wrapper .container-xxl {
        max-width: 1140px;
    }
}

.entry-content > .ir-content-wrapper, .entry-content > #ir-menu-section {
    margin-bottom: 0px;
}

.grid-section > *,
.grid-section .row > *,
.grid-section .row {
    --bs-gutter-x: 3rem;
}


.stretched-link:after {
    bottom: 0;
    content: "";
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1
}




/*** Typography ***/


h1, h2, h3, h4, h5, h6 {
    font-family: 'Poppins', sans-serif;
}

p, li {
    font-family: 'Poppins', sans-serif;
}

p {
    line-height: 1.5;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Poppins", Sans-serif !important;
}

.text-center {
    text-align: center;
}

.lead {
    font-size: 150%;
    font-weight: 200;
}
.lead strong
{
    font-weight: 700;
}


.ir-content-wrapper h3 {
    margin-bottom: 1.5rem;
}

.ir-content-wrapper h2 {
    margin-bottom: 1.75rem;
}

.ir-content-wrapper {
    font-size: 1.6rem;
}

.ir-content-wrapper strong
{
    font-weight: 600;
}

.ir-content-wrapper .lead strong {
    font-weight: 700;
}


a {
    transition: text-decoration .25s ease-in-out;
}


/*** Navigation ***/


#ir-menu-section {
    z-index: 1001;
}

.ir-menu {
    width: 100%;
    display: flex;
    z-index: 1;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: start;
}

.ir-menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1rem;
}

.ir-nav {
    order: 1;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    overflow-y: auto;
    transition: max-height 0.25s ease-in-out;
    position: relative;
}

.ir-menu.open .ir-nav {
    max-height: 80vh;
}

.ir-menu > .ir-menu-header,
.ir-menu > .ir-nav {
    flex: 1 0 100%;
}

.ir-nav ul, .ir-nav li {
    list-style-type: none;
    margin: 0;
    padding: 0
}

.ir-nav > ul {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-right: 1rem;

}

.nav-link {
    flex-grow: 1;
    margin-bottom: 0px;
    margin-top: 0px;
    padding: .75rem 1rem;
    appearance: none;
    background: inherit;
    border: none;
    line-height: inherit;
    color: #222;
    text-decoration: none;
    text-transform: uppercase;
    font-family: 'Poppins', sans-serif;
    font-size: 1.6rem;
    font-weight: initial
}
.nav-link:hover
{
    text-decoration: none;
}

.nav-item.dropdown {
    position: relative;
}

.ir-nav .nav-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    border-radius: 1rem;
    align-self: center;
    margin-right: 0;
    margin-left: auto;
}

.ir-nav .nav-button:hover {
    cursor: pointer;
}

.ir-nav .nav-link:focus-visible,
li.dropdown .nav-button:focus-visible {
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(0, 0, 0, .125);
}

.ir-nav .sub-menu {
    flex-direction: column;
    min-width: 240px;
    display: flex;
    margin-left: .5rem;
}

.nav-item-content {
    display: flex;
    align-items: center;
}

li.dropdown .nav-button {
    height: 100%;
}

.ir-menu {
    z-index: 1;
}

.menu-dropdown {
    display: none;
}

li.dropdown.open > .menu-dropdown {
    display: block;
}

.ir-menu .nav-button {
    order: 1;
    display: flex;
    aspect-ratio: 1;
    align-items: center;
}

.ir-nav .dropdown.open > .nav-item-content svg {
    transform: rotate(180deg);
}

@media screen and (max-width: 992px) {
    .ir-menu button {
        background-color: transparent;
        padding: 6px;
    }
    .nav-item-content
    {
        margin-right: 8px;
    }
}

.ir-menu-header-title
{
    color: #0b0b0b;
}



@media screen and (min-width: 992px) {
    .menu-dropdown {
        position: absolute;
        top: 100%;
        background-color: #e2e2e2;
    }

    .ir-nav .sub-menu .sub-menu {
        margin-left: 0px;
    }

    .nav-link {
        padding: .5rem .5rem;
    }



    .ir-nav .nav-button:hover {
        cursor: initial;
    }

    .ir-nav {
        padding-left: 0px;
        padding-right: 0px;
        max-height: initial;
        overflow: initial;
    }

        .ir-nav > ul {
            padding-right: 0px;
        }

    .ir-menu-header {
        display: none;
    }

    .menu-dropdown .menu-dropdown {
        display: none;
        position: absolute;
        top: 0%;
        left: 100%
    }

    li.dropdown.open:not(:hover) > .menu-dropdown {
        display: none;
    }

    li.dropdown:hover > .menu-dropdown {
        display: block;
    }

    .ir-nav > ul > li {
        padding-top: 1rem;
        padding-bottom: 1rem;
        margin-right: 0rem;
        margin-left: 0rem;
    }

        .ir-nav > ul > li:hover > .nav-item-content svg {
            transform: rotate(180deg);
        }

    .ir-nav .menu-dropdown .nav-item-content svg {
        transform: rotate(-90deg) !important;
    }
}

/* Menu Adjustments */


.nav-link {
    margin-left: 0px;
    margin-right: 0px;
}

button.nav-button {
    border: 0px;
    background-color: transparent;
    padding: 0px;
}


ir-nav .nav-icon > svg {
    stroke-width: 1px;
    stroke: currentColor;
}

.ir-menu-header button {
    appearance: none;
}

.ir-menu .nav-button svg {
    width: 24px;
    height: 24px;
}

@media screen and (min-width: 992px) {

    .ir-nav > ul > li {
        margin-left: 12px;
        margin-right: 12px;
    }

        .ir-nav > ul > li > div > .nav-button {
            margin-left: -.5rem;
        }

    .menu-dropdown {
        background-color: #f2f2f2;
    }

    .ir-menu .nav-button svg {
        width: 16px;
        height: 16px;
    }
}

@media screen and (max-width: 991px) {
    .ir-nav li li > div > .nav-link {
        font-size: 1.4rem;
        line-height: 1.2
    }

    .ir-menu button {
    }
}


.transition-transform {
    transition-duration: .15s;
    transition-property: transform;
    transition-timing-function: cubic-bezier(.4,0,.2,1);
}



#ir-menu-section {
    background-color: #f2f2f2 !important;
}

@media screen and (min-width: 992px) {
    .menu-dropdown {
        background-color: #f2f2f2;
        left: -1.5rem;
    }

    .ir-nav > ul {
        justify-content: center;
    }

    .nav-item-content {
        column-gap: 4px;
    }

    .menu-dropdown li:hover > .nav-item-content {
        background-color: #ededed;
    }

    .ir-nav .sub-menu > li > div a {
        padding: .75rem .5rem .75rem 2rem;
    }

    .ir-nav .sub-menu > li > div a:last-child {
        padding-right: 2rem;
    }

    .ir-nav .sub-menu > li > div button {
        margin-right: 2rem;
    }
}

.ir-nav .sub-menu {
    margin-left: 0;
    margin-bottom: 0;
}







/*** End Menu ***/



/*** Role List module ***/



.role-list .image-column-has-no-image {
    display: none;
}

.role-list .role-title {
    font-size: clamp(1.6rem, 1.2rem + 2.4vw, 2rem);
    font-weight: 700;
    margin-bottom: .75rem;
    display: block;
}

.role-list .role-item
{
    --column-gutter-x: 3rem;
}

h4.role-name {
    margin-bottom: 0;
    font-weight: 300;
    padding-bottom: 1rem;
    position: relative;
    margin-bottom: 1.5rem;
    margin-top: 0px;
}

.role-item.auditor-item .role-title
{
    display: none;
}


h4.role-name:after {
    position: absolute;
    top: 100%;
    content: "";
    height: 2px;
    width: 300px;
    max-width: 100%;
    display: block;
    background-color: #000;
    margin-bottom: 1rem;
}
@media screen and (min-width: 768px) {
    .role-list .image-column-content img {
        margin-top: .5rem;
    }
}

.role-list .image-column-content img
{
    width: 240px;
    margin-bottom: 2rem
}

.board-of-directors-role-list {
    margin-top: 4rem;
    row-gap: 4rem;
}


@media screen and (min-width: 992px) {
    h4.role-name {
        margin-top: 0px;
    }

    .board-of-directors-role-list {
        row-gap: 8rem;
    }
}

.role-list.board-of-directors-role-list .role-title {
    font-size: 120%;
}



/*** Generic modules */

table.beq-table {
    margin: 0;
    margin-bottom: 1rem;
    font-size: inherit;
    font-family: 'Poppins', sans-serif;
}

.beq-filter .beq-filter-label {
    white-space: nowrap;
    font-size: 1.2rem;
    color: #0b0b0b;
    font-weight: 600;

}
@media screen and (max-width: 576px) {
    .beq-module .beq-filters {
        gap: 6px 12px;
    }
    .beq-module .beq-filter
    {
        margin-bottom: 3px;
    }
    .beq-module .beq-filters
    {
        margin-bottom: 12px;
    }

    .beq-filter.beq-clear-filter {
        justify-content: end;
    }
}

@media screen and (min-width: 577px) {
    .beq-module .beq-filter {
        flex-direction: column;
        gap: 0px;
        align-items: start;
    }

}

.beq-filters .beq-filter select {
    border: 1px solid #0b0b0b;
    padding: 5px 10px;
    font-size: 1.2rem;
    color: #0b0b0b;
}

.beq-filter .beq-input-text {
    border-color: #0b0b0b;
    border-radius: 3px;
    padding: 5px 10px;
    font-size: 1.4rem;
}
/*** End generic modules */
/*** Subscription module ***/
.beq-news-subscription-form .beq-filter-heading {
    margin-bottom: .25rem !important;
}

.beq-news-subscription-form .beq-message {
    padding: 6px 12px;
    font-size: 1.4rem;
}

.beq-error-message {
    padding: 6px 12px;
    font-size: 1.4rem;
}

.beq-subscription-consent-container > .beq-input-group,
.beq-button-submit-container {
    justify-content: center;
}

/*** End subscription module */
/*** Press release module */
h2.beq-news-detail-headline {
    margin-top: 0;
}

.beq-news-list-item-headline {
    font-weight: 700;
}


a.beq-news-list-item-headline-link {
    text-decoration: none;
    text-decoration-color: #d9305d;
    color: inherit;
}

a.beq-news-list-item-headline-link:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 2px;
    text-decoration-color: #d9305d;
}



.front-news .beq-news-list-item-label {
    color: #000;
    background-color: #f2f2f280;
}

.beq-news-list .beq-news-list-item-label{
    align-items: end;
}

.beq-news-list .beq-news-list-item-wrapper {
    margin-bottom: 2rem;
    padding-bottom: 2rem;
}

.front-news .beq-news-list-item-wrapper:last-of-type {
    border-bottom: 0px;
}

.beq-footer .beq-button-group
{
    display: flex;
}
.beq-footer .beq-button-group .beq-button-load-more
{
    margin-left: auto;
    margin-right: auto;
}



/*** End press release module */

/** Legacy document module **/

.document-list-item-wrapper a
{
    color: #000;
}
.document-list-item-wrapper .attached-file-pdf
{
    font-size: 2.4rem;
}
/** End Legacy document module **/
/*** Report module */
.beq-module .beq-icon-link {
    font-size: 3rem;
}

.beq-module .beq-reports-table {
    font-family: 'Poppins', sans-serif;
    font-size: inherit;
}



@media screen and (min-width: 577px) {
    .front-reports .beq-reports-table-body tr:last-of-type {
        border-bottom: 0px;
    }
}

.beq-report-heading-text
{
    font-weight: 500;
}
/*** End report module */
/*** Calendar module */
.beq-calendar-item-heading {
    flex: 100%;
    font-weight: 500;
}



.beq-module .beq-icon-calendar-add {
    font-size: 2rem;
}

.beq-tabs button:hover
{
    text-decoration: none;
}
/*** End calendar module */
/* Subscription module */
#beq-subscription-consent-label-text {
    font-size: 1.6rem !important;
}

.beq-calendar-description
{
    padding-top: 1rem;
    color: #0b0b0b;
}
/* End Subscription module */
/** Buttons **/
.cta-group-wrapper {
    min-height: auto !important;
}

.cta-group-wrapper .row > .col-md-12 {
    flex: 0 0 auto;
    width: auto;
    padding-left: 0px;
    padding-right: 0px;
}


.aoa-file > a,
.module.cta .btn.btn-cta,
.subscribe-button.btn.btn-cta,
.beq-footer .beq-button-load-more,
.beq-filter .beq-button-clear,
.beq-news-subscription-form .beq-button-submit-container .beq-sign-up-button,
.pagination-show-more .paging-button,
.pagingbox .page-item .page-link {
    background-color: #000000;
    border: 2px solid #000000;
    color: #FFF;
    border-radius: 3px;
    padding: 1rem 1.5rem;
    width: auto;
    font-size: 1.4rem;
    display: inline-block;
    text-transform: initial;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    justify-content: space-between;
    align-items: center;
    letter-spacing: -.25px;
    text-align: left;
    margin-top: .5rem;
    text-decoration: none;
    -webkit-transition: color .35s ease-in-out, background-color .35s ease-in-out, border-color .35s ease-in-out, -webkit-box-shadow .35s ease-in-out;
    transition: color .35s ease-in-out, background-color .35s ease-in-out, border-color .35s ease-in-out, -webkit-box-shadow .35s ease-in-out;
    transition: color .35s ease-in-out, background-color .35s ease-in-out, border-color .35s ease-in-out, box-shadow .35s ease-in-out;
    transition: color .35s ease-in-out, background-color .35s ease-in-out, border-color .35s ease-in-out, box-shadow .35s ease-in-out, -webkit-box-shadow .35s ease-in-out;
}

.dark-background .module.cta .btn.btn-cta {
    background-color: #FFFFFF;
    border: 2px solid #FFFFFF;
    color: #000000;
}

.beq-clear-filter .beq-button .beq-icon {
    font-size: inherit;
}

.beq-button .beq-icon
{
    line-height: 1;
}

.pagingbox .page-item.disabled .page-link {
    background-color: #cdcdcd;
    border-color: #cdcdcd;
}

.aoa-file > a:hover,
.module.cta .btn.btn-cta:hover,
.beq-footer .beq-button-load-more:hover,
.beq-filter .beq-button-clear:hover,
.beq-news-subscription-form .beq-button-submit-container .beq-sign-up-button:hover,
.subscribe-button.btn.btn-cta:hover,
.pagination-show-more .paging-button:hover,
.pagingbox .page-item:not(.disabled) .page-link:hover {
    background-color: #ffffff;
    border-color: #000000;
    color: #000000;
    text-decoration: none;
}

.dark-background .module.cta .btn.btn-cta,
.dark-background .beq-news-subscription-form .beq-button-submit-container .beq-sign-up-button {
    background-color: #FFFFFF;
    border: 2px solid #FFFFFF;
    color: #000000;
}
.dark-background .module.cta .btn.btn-cta:hover,
.dark-background .beq-news-subscription-form .beq-button-submit-container .beq-sign-up-button:hover {
    background-color: #000000;
    border: 2px solid #FFFFFF;
    color: #FFFFFF;
}

.subscribe-button.btn.btn-cta:disabled,
.beq-footer .beq-button-load-more:disabled,
.beq-filter .beq-button-clear:disabled,
.beq-news-subscription-form .beq-button-submit-container .beq-sign-up-button:disabled,
.pagination-show-more .paging-button:disabled,
.pagingbox .page-item .page-link:disabled {
    background-color: #cdcdcd80 !important;
    color: #0b0b0b80 !important;
    border: 2px solid transparent !important;
}



    .pagination-show-more {
        justify-content: center;
    }

    .pagingbox .page-item:not(.disabled) .page-link:hover {
        cursor: pointer
    }


    .btn.btn-cta .btn-text {
        font-weight: 500;
        width: 100%;
        text-align: center;
    }


    .btn-cta .btn-icon {
        margin-left: .5rem;
        font-size: .75rem;
    }

        .btn-cta .btn-icon i:before {
            vertical-align: baseline;
        }
    /* End CTA */



/** Stock chart **/



.key-indicators {
    border: 0px;
    padding: 0rem;
}

.key-indicators .label
{
    font-size: 1.4rem;
    font-weight: 500;
    color: #0b0b0b;
}

.key-indicator-suffix
{
    font-size: 1.4rem;
}

.btn.btn-stockchart {
    flex: 0 1 auto;
}

.btn-group-stockchart {
    margin-bottom: 2rem;
}

.btn-stockchart {
    border: 2px solid #000000;
    background-color: #000000;
    color: #FFF;
    padding: .75rem 1.5rem;
    border-radius: 3px;
}

.btn-stockchart:hover,
.btn-stockchart.active {
    background-color: #FFFFFF;
    color: #000000;
    text-decoration: none;
}

.key-indicators > * {
    border: 0px !important;
    padding: 2rem;
    margin-bottom: 0;
    background-color: #f2f2f2;
}

@media screen and (min-width: 576px) {
    .key-indicators > * {
        padding: 2rem;
        flex: 0 0 calc(50% - 1rem);
    }
}
@media screen and (min-width: 1200px) {
    .key-indicators > * {
        flex: 25%;
    }
    .key-indicators
    {
        flex-wrap: nowrap;
    }
}

.key-indicators {
    position: relative;
    justify-content: space-between;
    margin-top: 0;
    gap: 2rem;
    margin-bottom: 4rem;
}


.key-indicators .key-indicator-value, .key-indicators .key-indicator-prefix {
    font-size: clamp(1.2rem, 1.8rem + 2vw, 50px);
}

.key-indicators .key-indicator-value.smaller,
.key-indicators .key-indicator-prefix,
.key-indicators .key-indicator-label {
    font-size: clamp(1.5rem, 1rem + 2.7vw, 1.5rem);
}

/* End Stockchart and key indicators */
